• ワードプレスのバージョンは、2.8.4です。
    3.0にアップグレードしようとしているのですが、
    「WordPress のルートディレクトリが見つかりません。」という表示が出て、
    アップグレードができません。

    プラグインは停止して行っています。

    【wp-config.php】に以下の3行を追記するよう説明しているブログがあり、
    やってみたのですが、やはり同じ表示が出ます。

    ———————————————————————————–
    // ** FTP 設定 ** //
    define(‘FTP_BASE’, ‘/WordPressを設置しているルートのパス’);
    define(‘FTP_CONTENT_DIR’, ‘/WordPressを設置しているルートのパス/wp-content/’);
    define(‘FTP_PLUGIN_DIR’, ‘/WordPressを設置しているルートのパス/wp-content/plugins/’);

    ———————————————————————————–

    手動でやってみたのですが、何が悪かったのか、
    画面が真っ白になってしまい、バックアップしておいたデータで復活させたので、
    怖いので、できれば自動でアップデートしたいと思います。

    どうしたらアップデートできるでしょうか?

8件の返信を表示中 - 1 - 8件目 (全8件中)
  • せめてサーバー情報とか書きましょう。状況証拠だけで逮捕はできません;)

    トピック投稿者 chaiki1

    (@chaiki1)

    サーバー情報というのは、何が必要でしょうか?
    チカッパサーバーを使っています。IDとかパスワードが必要なのでしょうか?

    どのような情報が必要なのかわからないので、必要な情報を教えていただけますでしょうか。

    質問をするまえに「【重要】 お読みください」をきちんと読んでみましょう。投稿ルールのご案内と管理者からのお知らせがちゃんと書いてありますよ。(あえてリンクは貼りませんので、ちゃんと探して読んでくださいな)

    ちなみに、当方もチカッパを利用していますが、ヴァージョンアップで上記のような状況になったことがありません。

    最初のインストールは手動ですか?インストールした後に何か設定などを変更していませんか?

    通常のWordPressの設定項目で変更した場所などがあれば提示してみてください、何かのヒントになるかもしれません。FTPでパーミッションなどを変更した記憶がないか、思い出してできるだけ提示してみましょう。

    トピック投稿者 chaiki1

    (@chaiki1)

    失礼いたしました。
    「質問の前に」にあった、必要と思われる情報をお知らせします。
    —————————————————–
    使用中(現在は停止中)のプラグイン
    Akismet バージョン 2.2.6
    Hello Dolly バージョン 1.5.1
    Ultimate Google Analytics バージョン 1.6.0
    WP-SlimStat バージョン 0.8.7 alpha
    WP Multibyte Patch バージョン 1.1.4

    テーマ名 賢威WPロゴテキスト・3カラムアドセンス

    PHP phpMyAdmin – 2.11.10

    MySQL 5.0

    ブラウザ IE8.0、ファイヤーフォックス3.6.8 

    ——————————————–

    一番最初のインストールは、説明書を見ながらやったと思います。
    自動が手動かは、わかりません。
    覚えていないというか、自分がやった方法が手動なのか自動なのか、
    そういう区別があることも知らなかったので。

    チカッパの場合、wp-config.phpの中の「ほとんどの場合変更する必要はありません。」となっているところを変更しないといけないので、下のように変更しています。

    define(‘DB_HOST’, ‘mysql20.chicappa.jp’);

    これ以外は、どこかをいじると何ができるのかわからないので、
    ファイルの中身を変更したところはありません。

    パーミションの変更は、これも申し訳ありませんが、よく覚えていません。
    おそらくしてないと思います。

    ワードプレスのファイルのアップロードは、
    ルートディレクトリではなく、そこにwwwというフォルダを作り、その中に、
    wp用フォルダを作って入れています。
    (www.jski.net/ecoshop-diary/)

    よろしくお願いします。

    可能性として考えうることは、一般設定でWordPress のアドレスとサイトのアドレスが違っている場合ですかね。独自ドメインを使用している場合にありえます。

    例えば、最初のインストールではドメインではないアドレスからインストールして、ドメインの導入でアドレスを書き換えた場合など、FTP先の情報が変わってしまいうまくいかなくなっているとか。
    もしくは、インストールディレクトリと公開先ディレクトリを変更している場合などもあるかもしれません。

    ちなみに自動インストールとは、サーバー屋さんが用意しているワンクリックインストールのようなものです。チカッパにもありますね。手動インストールとは、文字通り自分でFTPでファイルをアップロードしてインストール作業を行うことです。今回の場合は手動のようですね。

    当方チカッパで自動アップデート、手動アップデートともに行っていますが、今のところ不具合はありません。他の方もよく言われるのですが、アップデートは手動が良いと聞きます。(残念ながら明確な理由は分かりません、おそらく不具合の祭に原因がつかみやすいことだと考えられますが)
    可能であればもう一度手動アップデートに挑戦されてみるのも良いかと思いますよ;)

    トピック投稿者 chaiki1

    (@chaiki1)

    手動でアップデートするのが怖いので、自動でできる方法を聞いているのです。

    手動でアップデートするのが怖いので、自動でできる方法を聞いているのです。

    ですから上記説明の通りです。何度も申し上げていますが同じチカッパを利用していて該当の不具合にあたったことがありませんので、サーバー特有の問題というよりはchaiki1さん個別の問題と思われます。したがって「可能性を述べる」ことしかできないのです。

    上記説明の可能性はつぶしましたか?少なくともチカッパは「自動アップデートができない」サーバーではありません。できない理由を突き止めない限り「自動でできる方法」はありませんよ。

    フォーラムの回答者はエスパーではありませんし、サーバーの管理者でもありません。どうしてもうまくいかないのであればチカッパのサーバー管理者に問い合わせるしかありません。実際にサーバーの設定が間違っていて不具合を起こしたなどという事例はたくさんあります。

    まずはご自身でできることをちゃんと確認し、結果分かったことをフォーラムに報告することで問題点や解決策が見えてくる可能性があります。もう少しがんばってみましょう;)

8件の返信を表示中 - 1 - 8件目 (全8件中)
  • トピック「「ルートディレクトリが見つかりません」となり、アップデートできない」には新たに返信することはできません。